VZALLOC(9)

NAME
vzalloc - allocate virtually contiguous memory with zero fill

SYNOPSIS

void * vzalloc(unsigned long size);

ARGUMENTS

size
    allocation size Allocate enough pages to cover size from the page level allocator and map them into contiguous kernel virtual space. The memory allocated is set to zero.

DESCRIPTION

For tight control over page level allocator and protection flags use __vmalloc instead.

COPYRIGHT